import { AbstractParseTreeVisitor } from "antlr4ng";
import { ParseContext } from "./TrinoParser.js";
import { StatementDefaultContext } from "./TrinoParser.js";
import { UseContext } from "./TrinoParser.js";
import { UseCatalogContext } from "./TrinoParser.js";
import { CreateCatalogContext } from "./TrinoParser.js";
import { DropCatalogContext } from "./TrinoParser.js";
import { CreateSchemaContext } from "./TrinoParser.js";
import { DropSchemaContext } from "./TrinoParser.js";
import { RenameSchemaContext } from "./TrinoParser.js";
import { SetSchemaAuthorizationContext } from "./TrinoParser.js";
import { CreateTableAsSelectContext } from "./TrinoParser.js";
import { CreateTableContext } from "./TrinoParser.js";
import { DropTableContext } from "./TrinoParser.js";
import { InsertContext } from "./TrinoParser.js";
import { UpdateContext } from "./TrinoParser.js";
import { DeleteContext } from "./TrinoParser.js";
import { TruncateTableContext } from "./TrinoParser.js";
import { CommentTableContext } from "./TrinoParser.js";
import { CommentViewContext } from "./TrinoParser.js";
import { CommentColumnContext } from "./TrinoParser.js";
import { RenameTableContext } from "./TrinoParser.js";
import { AddColumnContext } from "./TrinoParser.js";
import { RenameColumnContext } from "./TrinoParser.js";
import { DropColumnContext } from "./TrinoParser.js";
import { SetColumnTypeContext } from "./TrinoParser.js";
import { SetTableAuthorizationContext } from "./TrinoParser.js";
import { SetTablePropertiesContext } from "./TrinoParser.js";
import { TableExecuteContext } from "./TrinoParser.js";
import { AnalyzeContext } from "./TrinoParser.js";
import { CreateMaterializedViewContext } from "./TrinoParser.js";
import { CreateViewContext } from "./TrinoParser.js";
import { RefreshMaterializedViewContext } from "./TrinoParser.js";
import { DropMaterializedViewContext } from "./TrinoParser.js";
import { RenameMaterializedViewContext } from "./TrinoParser.js";
import { SetMaterializedViewPropertiesContext } from "./TrinoParser.js";
import { DropViewContext } from "./TrinoParser.js";
import { RenameViewContext } from "./TrinoParser.js";
import { SetViewAuthorizationContext } from "./TrinoParser.js";
import { CallContext } from "./TrinoParser.js";
import { CreateFunctionContext } from "./TrinoParser.js";
import { DropFunctionContext } from "./TrinoParser.js";
import { CreateRoleContext } from "./TrinoParser.js";
import { DropRoleContext } from "./TrinoParser.js";
import { GrantRolesContext } from "./TrinoParser.js";
import { RevokeRolesContext } from "./TrinoParser.js";
import { SetRoleContext } from "./TrinoParser.js";
import { GrantContext } from "./TrinoParser.js";
import { DenyContext } from "./TrinoParser.js";
import { RevokeContext } from "./TrinoParser.js";
import { ShowGrantsContext } from "./TrinoParser.js";
import { ExplainContext } from "./TrinoParser.js";
import { ExplainAnalyzeContext } from "./TrinoParser.js";
import { ShowCreateTableContext } from "./TrinoParser.js";
import { ShowCreateSchemaContext } from "./TrinoParser.js";
import { ShowCreateViewContext } from "./TrinoParser.js";
import { ShowCreateMaterializedViewContext } from "./TrinoParser.js";
import { ShowTablesContext } from "./TrinoParser.js";
import { ShowSchemasContext } from "./TrinoParser.js";
import { ShowCatalogsContext } from "./TrinoParser.js";
import { ShowColumnsContext } from "./TrinoParser.js";
import { ShowStatsContext } from "./TrinoParser.js";
import { ShowStatsForQueryContext } from "./TrinoParser.js";
import { ShowRolesContext } from "./TrinoParser.js";
import { ShowRoleGrantsContext } from "./TrinoParser.js";
import { ShowFunctionsContext } from "./TrinoParser.js";
import { ShowSessionContext } from "./TrinoParser.js";
import { SetSessionAuthorizationContext } from "./TrinoParser.js";
import { ResetSessionAuthorizationContext } from "./TrinoParser.js";
import { SetSessionContext } from "./TrinoParser.js";
import { ResetSessionContext } from "./TrinoParser.js";
import { StartTransactionContext } from "./TrinoParser.js";
import { CommitContext } from "./TrinoParser.js";
import { RollbackContext } from "./TrinoParser.js";
import { PrepareContext } from "./TrinoParser.js";
import { DeallocateContext } from "./TrinoParser.js";
import { ExecuteContext } from "./TrinoParser.js";
import { ExecuteImmediateContext } from "./TrinoParser.js";
import { DescribeInputContext } from "./TrinoParser.js";
import { DescribeOutputContext } from "./TrinoParser.js";
import { SetPathContext } from "./TrinoParser.js";
import { SetTimeZoneContext } from "./TrinoParser.js";
import { MergeContext } from "./TrinoParser.js";
import { InsertStatementContext } from "./TrinoParser.js";
import { UpdateStatementContext } from "./TrinoParser.js";
import { RootQueryContext } from "./TrinoParser.js";
import { WithFunctionContext } from "./TrinoParser.js";
import { QueryContext } from "./TrinoParser.js";
import { WithContext } from "./TrinoParser.js";
import { TableElementContext } from "./TrinoParser.js";
import { ColumnDefinitionContext } from "./TrinoParser.js";
import { LikeClauseContext } from "./TrinoParser.js";
import { PropertiesContext } from "./TrinoParser.js";
import { PropertyAssignmentsContext } from "./TrinoParser.js";
import { PropertyContext } from "./TrinoParser.js";
import { DefaultPropertyValueContext } from "./TrinoParser.js";
import { NonDefaultPropertyValueContext } from "./TrinoParser.js";
import { QueryNoWithContext } from "./TrinoParser.js";
import { LimitRowCountContext } from "./TrinoParser.js";
import { RowCountContext } from "./TrinoParser.js";
import { QueryTermDefaultContext } from "./TrinoParser.js";
import { SetOperationContext } from "./TrinoParser.js";
import { QueryPrimaryDefaultContext } from "./TrinoParser.js";
import { TableContext } from "./TrinoParser.js";
import { InlineTableContext } from "./TrinoParser.js";
import { SubqueryContext } from "./TrinoParser.js";
import { SortItemContext } from "./TrinoParser.js";
import { QuerySpecificationContext } from "./TrinoParser.js";
import { FromClauseContext } from "./TrinoParser.js";
import { GroupByContext } from "./TrinoParser.js";
import { SingleGroupingSetContext } from "./TrinoParser.js";
import { RollupContext } from "./TrinoParser.js";
import { CubeContext } from "./TrinoParser.js";
import { MultipleGroupingSetsContext } from "./TrinoParser.js";
import { GroupingSetContext } from "./TrinoParser.js";
import { WindowDefinitionContext } from "./TrinoParser.js";
import { WindowSpecificationContext } from "./TrinoParser.js";
import { NamedQueryContext } from "./TrinoParser.js";
import { SetQuantifierContext } from "./TrinoParser.js";
import { SelectItemContext } from "./TrinoParser.js";
import { RelationDefaultContext } from "./TrinoParser.js";
import { JoinRelationContext } from "./TrinoParser.js";
import { JoinTypeContext } from "./TrinoParser.js";
import { JoinCriteriaContext } from "./TrinoParser.js";
import { SampledRelationContext } from "./TrinoParser.js";
import { SampleTypeContext } from "./TrinoParser.js";
import { TrimsSpecificationContext } from "./TrinoParser.js";
import { ListAggOverflowBehaviorContext } from "./TrinoParser.js";
import { ListaggCountIndicationContext } from "./TrinoParser.js";
import { PatternRecognitionContext } from "./TrinoParser.js";
import { MeasureDefinitionContext } from "./TrinoParser.js";
import { RowsPerMatchContext } from "./TrinoParser.js";
import { EmptyMatchHandlingContext } from "./TrinoParser.js";
import { SkipToContext } from "./TrinoParser.js";
import { SubsetDefinitionContext } from "./TrinoParser.js";
import { VariableDefinitionContext } from "./TrinoParser.js";
import { AliasedRelationContext } from "./TrinoParser.js";
import { ColumnAliasesContext } from "./TrinoParser.js";
import { TableNameContext } from "./TrinoParser.js";
import { SubqueryRelationContext } from "./TrinoParser.js";
import { UnnestContext } from "./TrinoParser.js";
import { LateralContext } from "./TrinoParser.js";
import { TableFunctionInvocationContext } from "./TrinoParser.js";
import { ParenthesizedRelationContext } from "./TrinoParser.js";
import { TableFunctionCallContext } from "./TrinoParser.js";
import { TableFunctionArgumentContext } from "./TrinoParser.js";
import { TableArgumentContext } from "./TrinoParser.js";
import { TableArgumentTableContext } from "./TrinoParser.js";
import { TableArgumentQueryContext } from "./TrinoParser.js";
import { DescriptorArgumentContext } from "./TrinoParser.js";
import { DescriptorFieldContext } from "./TrinoParser.js";
import { CopartitionTablesContext } from "./TrinoParser.js";
import { ExpressionContext } from "./TrinoParser.js";
import { LogicalNotContext } from "./TrinoParser.js";
import { PredicatedContext } from "./TrinoParser.js";
import { OrContext } from "./TrinoParser.js";
import { AndContext } from "./TrinoParser.js";
import { ComparisonContext } from "./TrinoParser.js";
import { QuantifiedComparisonContext } from "./TrinoParser.js";
import { BetweenContext } from "./TrinoParser.js";
import { InListContext } from "./TrinoParser.js";
import { InSubqueryContext } from "./TrinoParser.js";
import { LikeContext } from "./TrinoParser.js";
import { NullPredicateContext } from "./TrinoParser.js";
import { DistinctFromContext } from "./TrinoParser.js";
import { ValueExpressionDefaultContext } from "./TrinoParser.js";
import { ConcatenationContext } from "./TrinoParser.js";
import { ArithmeticBinaryContext } from "./TrinoParser.js";
import { ArithmeticUnaryContext } from "./TrinoParser.js";
import { AtTimeZoneContext } from "./TrinoParser.js";
import { DereferenceContext } from "./TrinoParser.js";
import { TypeConstructorContext } from "./TrinoParser.js";
import { JsonValueContext } from "./TrinoParser.js";
import { SpecialDateTimeFunctionContext } from "./TrinoParser.js";
import { SubstringContext } from "./TrinoParser.js";
import { CastContext } from "./TrinoParser.js";
import { LambdaContext } from "./TrinoParser.js";
import { ParenthesizedExpressionContext } from "./TrinoParser.js";
import { TrimContext } from "./TrinoParser.js";
import { ParameterContext } from "./TrinoParser.js";
import { NormalizeContext } from "./TrinoParser.js";
import { JsonObjectContext } from "./TrinoParser.js";
import { IntervalLiteralContext } from "./TrinoParser.js";
import { NumericLiteralContext } from "./TrinoParser.js";
import { BooleanLiteralContext } from "./TrinoParser.js";
import { JsonArrayContext } from "./TrinoParser.js";
import { SimpleCaseContext } from "./TrinoParser.js";
import { NullLiteralContext } from "./TrinoParser.js";
import { RowConstructorContext } from "./TrinoParser.js";
import { SubscriptContext } from "./TrinoParser.js";
import { JsonExistsContext } from "./TrinoParser.js";
import { ColumnContext } from "./TrinoParser.js";
import { CurrentPathContext } from "./TrinoParser.js";
import { SubqueryExpressionContext } from "./TrinoParser.js";
import { BinaryLiteralContext } from "./TrinoParser.js";
import { CurrentUserContext } from "./TrinoParser.js";
import { JsonQueryContext } from "./TrinoParser.js";
import { MeasureContext } from "./TrinoParser.js";
import { ExtractContext } from "./TrinoParser.js";
import { StringLiteralContext } from "./TrinoParser.js";
import { ArrayConstructorContext } from "./TrinoParser.js";
import { FunctionCallContext } from "./TrinoParser.js";
import { CurrentSchemaContext } from "./TrinoParser.js";
import { ExistsContext } from "./TrinoParser.js";
import { PositionContext } from "./TrinoParser.js";
import { ListaggContext } from "./TrinoParser.js";
import { SearchedCaseContext } from "./TrinoParser.js";
import { CurrentCatalogContext } from "./TrinoParser.js";
import { GroupingOperationContext } from "./TrinoParser.js";
import { JsonPathInvocationContext } from "./TrinoParser.js";
import { JsonValueExpressionContext } from "./TrinoParser.js";
import { JsonRepresentationContext } from "./TrinoParser.js";
import { JsonArgumentContext } from "./TrinoParser.js";
import { JsonExistsErrorBehaviorContext } from "./TrinoParser.js";
import { JsonValueBehaviorContext } from "./TrinoParser.js";
import { JsonQueryWrapperBehaviorContext } from "./TrinoParser.js";
import { JsonQueryBehaviorContext } from "./TrinoParser.js";
import { JsonObjectMemberContext } from "./TrinoParser.js";
import { ProcessingModeContext } from "./TrinoParser.js";
import { NullTreatmentContext } from "./TrinoParser.js";
import { BasicStringLiteralContext } from "./TrinoParser.js";
import { UnicodeStringLiteralContext } from "./TrinoParser.js";
import { TimeZoneIntervalContext } from "./TrinoParser.js";
import { TimeZoneStringContext } from "./TrinoParser.js";
import { ComparisonOperatorContext } from "./TrinoParser.js";
import { ComparisonQuantifierContext } from "./TrinoParser.js";
import { BooleanValueContext } from "./TrinoParser.js";
import { IntervalContext } from "./TrinoParser.js";
import { IntervalFieldContext } from "./TrinoParser.js";
import { NormalFormContext } from "./TrinoParser.js";
import { RowTypeContext } from "./TrinoParser.js";
import { IntervalTypeContext } from "./TrinoParser.js";
import { ArrayTypeContext } from "./TrinoParser.js";
import { DoublePrecisionTypeContext } from "./TrinoParser.js";
import { LegacyArrayTypeContext } from "./TrinoParser.js";
import { GenericTypeContext } from "./TrinoParser.js";
import { DateTimeTypeContext } from "./TrinoParser.js";
import { LegacyMapTypeContext } from "./TrinoParser.js";
import { RowFieldContext } from "./TrinoParser.js";
import { TypeParameterContext } from "./TrinoParser.js";
import { WhenClauseContext } from "./TrinoParser.js";
import { FilterContext } from "./TrinoParser.js";
import { MergeUpdateContext } from "./TrinoParser.js";
import { MergeDeleteContext } from "./TrinoParser.js";
import { MergeInsertContext } from "./TrinoParser.js";
import { OverContext } from "./TrinoParser.js";
import { WindowFrameContext } from "./TrinoParser.js";
import { FrameExtentContext } from "./TrinoParser.js";
import { UnboundedFrameContext } from "./TrinoParser.js";
import { CurrentRowBoundContext } from "./TrinoParser.js";
import { BoundedFrameContext } from "./TrinoParser.js";
import { QuantifiedPrimaryContext } from "./TrinoParser.js";
import { PatternConcatenationContext } from "./TrinoParser.js";
import { PatternAlternationContext } from "./TrinoParser.js";
import { PatternVariableContext } from "./TrinoParser.js";
import { EmptyPatternContext } from "./TrinoParser.js";
import { PatternPermutationContext } from "./TrinoParser.js";
import { GroupedPatternContext } from "./TrinoParser.js";
import { PartitionStartAnchorContext } from "./TrinoParser.js";
import { PartitionEndAnchorContext } from "./TrinoParser.js";
import { ExcludedPatternContext } from "./TrinoParser.js";
import { ZeroOrMoreQuantifierContext } from "./TrinoParser.js";
import { OneOrMoreQuantifierContext } from "./TrinoParser.js";
import { ZeroOrOneQuantifierContext } from "./TrinoParser.js";
import { RangeQuantifierContext } from "./TrinoParser.js";
import { UpdateAssignmentContext } from "./TrinoParser.js";
import { ExplainFormatContext } from "./TrinoParser.js";
import { ExplainTypeContext } from "./TrinoParser.js";
import { IsolationLevelContext } from "./TrinoParser.js";
import { TransactionAccessModeContext } from "./TrinoParser.js";
import { ReadUncommittedContext } from "./TrinoParser.js";
import { ReadCommittedContext } from "./TrinoParser.js";
import { RepeatableReadContext } from "./TrinoParser.js";
import { SerializableContext } from "./TrinoParser.js";
import { PositionalArgumentContext } from "./TrinoParser.js";
import { NamedArgumentContext } from "./TrinoParser.js";
import { QualifiedArgumentContext } from "./TrinoParser.js";
import { UnqualifiedArgumentContext } from "./TrinoParser.js";
import { PathSpecificationContext } from "./TrinoParser.js";
import { FunctionSpecificationContext } from "./TrinoParser.js";
import { FunctionDeclarationContext } from "./TrinoParser.js";
import { ParameterDeclarationContext } from "./TrinoParser.js";
import { ReturnsClauseContext } from "./TrinoParser.js";
import { LanguageCharacteristicContext } from "./TrinoParser.js";
import { DeterministicCharacteristicContext } from "./TrinoParser.js";
import { ReturnsNullOnNullInputCharacteristicContext } from "./TrinoParser.js";
import { CalledOnNullInputCharacteristicContext } from "./TrinoParser.js";
import { SecurityCharacteristicContext } from "./TrinoParser.js";
import { CommentCharacteristicContext } from "./TrinoParser.js";
import { ReturnStatementContext } from "./TrinoParser.js";
import { AssignmentStatementContext } from "./TrinoParser.js";
import { SimpleCaseStatementContext } from "./TrinoParser.js";
import { SearchedCaseStatementContext } from "./TrinoParser.js";
import { IfStatementContext } from "./TrinoParser.js";
import { IterateStatementContext } from "./TrinoParser.js";
import { LeaveStatementContext } from "./TrinoParser.js";
import { CompoundStatementContext } from "./TrinoParser.js";
import { LoopStatementContext } from "./TrinoParser.js";
import { WhileStatementContext } from "./TrinoParser.js";
import { RepeatStatementContext } from "./TrinoParser.js";
import { CaseStatementWhenClauseContext } from "./TrinoParser.js";
import { ElseIfClauseContext } from "./TrinoParser.js";
import { ElseClauseContext } from "./TrinoParser.js";
import { VariableDeclarationContext } from "./TrinoParser.js";
import { SqlStatementListContext } from "./TrinoParser.js";
import { PrivilegeContext } from "./TrinoParser.js";
import { QualifiedNameContext } from "./TrinoParser.js";
import { QueryPeriodContext } from "./TrinoParser.js";
import { RangeTypeContext } from "./TrinoParser.js";
import { SpecifiedPrincipalContext } from "./TrinoParser.js";
import { CurrentUserGrantorContext } from "./TrinoParser.js";
import { CurrentRoleGrantorContext } from "./TrinoParser.js";
import { UnspecifiedPrincipalContext } from "./TrinoParser.js";
import { UserPrincipalContext } from "./TrinoParser.js";
import { RolePrincipalContext } from "./TrinoParser.js";
import { RoleIdentifierListContext } from "./TrinoParser.js";
import { UnquotedIdentifierContext } from "./TrinoParser.js";
import { QuotedIdentifierContext } from "./TrinoParser.js";
import { BackQuotedIdentifierContext } from "./TrinoParser.js";
import { DigitIdentifierContext } from "./TrinoParser.js";
import { CatalogIdentifierContext } from "./TrinoParser.js";
import { SchemaIdentifierContext } from "./TrinoParser.js";
import { TableReferenceContext } from "./TrinoParser.js";
import { TableIdentifierContext } from "./TrinoParser.js";
import { ViewIdentifierContext } from "./TrinoParser.js";
import { ColumnIdentifierContext } from "./TrinoParser.js";
import { AliasIdentifierContext } from "./TrinoParser.js";
import { NewSchemaIdentifierContext } from "./TrinoParser.js";
import { NewTableIdentifierContext } from "./TrinoParser.js";
import { NewViewIdentifierContext } from "./TrinoParser.js";
import { RoleIdentifierContext } from "./TrinoParser.js";
import { ConnectorIdentifierContext } from "./TrinoParser.js";
import { DecimalLiteralContext } from "./TrinoParser.js";
import { DoubleLiteralContext } from "./TrinoParser.js";
import { IntegerLiteralContext } from "./TrinoParser.js";
import { IdentifierUserContext } from "./TrinoParser.js";
import { StringUserContext } from "./TrinoParser.js";
import { NonReservedContext } from "./TrinoParser.js";
/**
 * This interface defines a complete generic visitor for a parse tree produced
 * by `TrinoParser`.
 *
 * @param <Result> The return type of the visit operation. Use `void` for
 * operations with no return type.
 */
export declare class TrinoParserVisitor<Result> extends AbstractParseTreeVisitor<Result> {
    /**
     * Visit a parse tree produced by `TrinoParser.parse`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitParse?: (ctx: ParseContext) => Result;
    /**
     * Visit a parse tree produced by the `statementDefault`
     * labeled alternative in `TrinoParser.statement`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitStatementDefault?: (ctx: StatementDefaultContext) => Result;
    /**
     * Visit a parse tree produced by the `use`
     * labeled alternative in `TrinoParser.statement`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitUse?: (ctx: UseContext) => Result;
    /**
     * Visit a parse tree produced by the `useCatalog`
     * labeled alternative in `TrinoParser.statement`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitUseCatalog?: (ctx: UseCatalogContext) => Result;
    /**
     * Visit a parse tree produced by the `createCatalog`
     * labeled alternative in `TrinoParser.statement`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitCreateCatalog?: (ctx: CreateCatalogContext) => Result;
    /**
     * Visit a parse tree produced by the `dropCatalog`
     * labeled alternative in `TrinoParser.statement`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitDropCatalog?: (ctx: DropCatalogContext) => Result;
    /**
     * Visit a parse tree produced by the `createSchema`
     * labeled alternative in `TrinoParser.statement`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitCreateSchema?: (ctx: CreateSchemaContext) => Result;
    /**
     * Visit a parse tree produced by the `dropSchema`
     * labeled alternative in `TrinoParser.statement`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitDropSchema?: (ctx: DropSchemaContext) => Result;
    /**
     * Visit a parse tree produced by the `renameSchema`
     * labeled alternative in `TrinoParser.statement`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitRenameSchema?: (ctx: RenameSchemaContext) => Result;
    /**
     * Visit a parse tree produced by the `setSchemaAuthorization`
     * labeled alternative in `TrinoParser.statement`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSetSchemaAuthorization?: (ctx: SetSchemaAuthorizationContext) => Result;
    /**
     * Visit a parse tree produced by the `createTableAsSelect`
     * labeled alternative in `TrinoParser.statement`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitCreateTableAsSelect?: (ctx: CreateTableAsSelectContext) => Result;
    /**
     * Visit a parse tree produced by the `createTable`
     * labeled alternative in `TrinoParser.statement`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitCreateTable?: (ctx: CreateTableContext) => Result;
    /**
     * Visit a parse tree produced by the `dropTable`
     * labeled alternative in `TrinoParser.statement`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitDropTable?: (ctx: DropTableContext) => Result;
    /**
     * Visit a parse tree produced by the `insert`
     * labeled alternative in `TrinoParser.statement`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitInsert?: (ctx: InsertContext) => Result;
    /**
     * Visit a parse tree produced by the `update`
     * labeled alternative in `TrinoParser.statement`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitUpdate?: (ctx: UpdateContext) => Result;
    /**
     * Visit a parse tree produced by the `delete`
     * labeled alternative in `TrinoParser.statement`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitDelete?: (ctx: DeleteContext) => Result;
    /**
     * Visit a parse tree produced by the `truncateTable`
     * labeled alternative in `TrinoParser.statement`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitTruncateTable?: (ctx: TruncateTableContext) => Result;
    /**
     * Visit a parse tree produced by the `commentTable`
     * labeled alternative in `TrinoParser.statement`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitCommentTable?: (ctx: CommentTableContext) => Result;
    /**
     * Visit a parse tree produced by the `commentView`
     * labeled alternative in `TrinoParser.statement`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitCommentView?: (ctx: CommentViewContext) => Result;
    /**
     * Visit a parse tree produced by the `commentColumn`
     * labeled alternative in `TrinoParser.statement`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitCommentColumn?: (ctx: CommentColumnContext) => Result;
    /**
     * Visit a parse tree produced by the `renameTable`
     * labeled alternative in `TrinoParser.statement`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitRenameTable?: (ctx: RenameTableContext) => Result;
    /**
     * Visit a parse tree produced by the `addColumn`
     * labeled alternative in `TrinoParser.statement`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitAddColumn?: (ctx: AddColumnContext) => Result;
    /**
     * Visit a parse tree produced by the `renameColumn`
     * labeled alternative in `TrinoParser.statement`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitRenameColumn?: (ctx: RenameColumnContext) => Result;
    /**
     * Visit a parse tree produced by the `dropColumn`
     * labeled alternative in `TrinoParser.statement`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitDropColumn?: (ctx: DropColumnContext) => Result;
    /**
     * Visit a parse tree produced by the `setColumnType`
     * labeled alternative in `TrinoParser.statement`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSetColumnType?: (ctx: SetColumnTypeContext) => Result;
    /**
     * Visit a parse tree produced by the `setTableAuthorization`
     * labeled alternative in `TrinoParser.statement`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSetTableAuthorization?: (ctx: SetTableAuthorizationContext) => Result;
    /**
     * Visit a parse tree produced by the `setTableProperties`
     * labeled alternative in `TrinoParser.statement`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSetTableProperties?: (ctx: SetTablePropertiesContext) => Result;
    /**
     * Visit a parse tree produced by the `tableExecute`
     * labeled alternative in `TrinoParser.statement`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitTableExecute?: (ctx: TableExecuteContext) => Result;
    /**
     * Visit a parse tree produced by the `analyze`
     * labeled alternative in `TrinoParser.statement`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitAnalyze?: (ctx: AnalyzeContext) => Result;
    /**
     * Visit a parse tree produced by the `createMaterializedView`
     * labeled alternative in `TrinoParser.statement`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitCreateMaterializedView?: (ctx: CreateMaterializedViewContext) => Result;
    /**
     * Visit a parse tree produced by the `createView`
     * labeled alternative in `TrinoParser.statement`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitCreateView?: (ctx: CreateViewContext) => Result;
    /**
     * Visit a parse tree produced by the `refreshMaterializedView`
     * labeled alternative in `TrinoParser.statement`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitRefreshMaterializedView?: (ctx: RefreshMaterializedViewContext) => Result;
    /**
     * Visit a parse tree produced by the `dropMaterializedView`
     * labeled alternative in `TrinoParser.statement`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitDropMaterializedView?: (ctx: DropMaterializedViewContext) => Result;
    /**
     * Visit a parse tree produced by the `renameMaterializedView`
     * labeled alternative in `TrinoParser.statement`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitRenameMaterializedView?: (ctx: RenameMaterializedViewContext) => Result;
    /**
     * Visit a parse tree produced by the `setMaterializedViewProperties`
     * labeled alternative in `TrinoParser.statement`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSetMaterializedViewProperties?: (ctx: SetMaterializedViewPropertiesContext) => Result;
    /**
     * Visit a parse tree produced by the `dropView`
     * labeled alternative in `TrinoParser.statement`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitDropView?: (ctx: DropViewContext) => Result;
    /**
     * Visit a parse tree produced by the `renameView`
     * labeled alternative in `TrinoParser.statement`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitRenameView?: (ctx: RenameViewContext) => Result;
    /**
     * Visit a parse tree produced by the `setViewAuthorization`
     * labeled alternative in `TrinoParser.statement`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSetViewAuthorization?: (ctx: SetViewAuthorizationContext) => Result;
    /**
     * Visit a parse tree produced by the `call`
     * labeled alternative in `TrinoParser.statement`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitCall?: (ctx: CallContext) => Result;
    /**
     * Visit a parse tree produced by the `createFunction`
     * labeled alternative in `TrinoParser.statement`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitCreateFunction?: (ctx: CreateFunctionContext) => Result;
    /**
     * Visit a parse tree produced by the `dropFunction`
     * labeled alternative in `TrinoParser.statement`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitDropFunction?: (ctx: DropFunctionContext) => Result;
    /**
     * Visit a parse tree produced by the `createRole`
     * labeled alternative in `TrinoParser.statement`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitCreateRole?: (ctx: CreateRoleContext) => Result;
    /**
     * Visit a parse tree produced by the `dropRole`
     * labeled alternative in `TrinoParser.statement`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitDropRole?: (ctx: DropRoleContext) => Result;
    /**
     * Visit a parse tree produced by the `grantRoles`
     * labeled alternative in `TrinoParser.statement`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitGrantRoles?: (ctx: GrantRolesContext) => Result;
    /**
     * Visit a parse tree produced by the `revokeRoles`
     * labeled alternative in `TrinoParser.statement`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitRevokeRoles?: (ctx: RevokeRolesContext) => Result;
    /**
     * Visit a parse tree produced by the `setRole`
     * labeled alternative in `TrinoParser.statement`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSetRole?: (ctx: SetRoleContext) => Result;
    /**
     * Visit a parse tree produced by the `grant`
     * labeled alternative in `TrinoParser.statement`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitGrant?: (ctx: GrantContext) => Result;
    /**
     * Visit a parse tree produced by the `deny`
     * labeled alternative in `TrinoParser.statement`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitDeny?: (ctx: DenyContext) => Result;
    /**
     * Visit a parse tree produced by the `revoke`
     * labeled alternative in `TrinoParser.statement`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitRevoke?: (ctx: RevokeContext) => Result;
    /**
     * Visit a parse tree produced by the `showGrants`
     * labeled alternative in `TrinoParser.statement`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitShowGrants?: (ctx: ShowGrantsContext) => Result;
    /**
     * Visit a parse tree produced by the `explain`
     * labeled alternative in `TrinoParser.statement`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitExplain?: (ctx: ExplainContext) => Result;
    /**
     * Visit a parse tree produced by the `explainAnalyze`
     * labeled alternative in `TrinoParser.statement`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitExplainAnalyze?: (ctx: ExplainAnalyzeContext) => Result;
    /**
     * Visit a parse tree produced by the `showCreateTable`
     * labeled alternative in `TrinoParser.statement`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitShowCreateTable?: (ctx: ShowCreateTableContext) => Result;
    /**
     * Visit a parse tree produced by the `showCreateSchema`
     * labeled alternative in `TrinoParser.statement`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitShowCreateSchema?: (ctx: ShowCreateSchemaContext) => Result;
    /**
     * Visit a parse tree produced by the `showCreateView`
     * labeled alternative in `TrinoParser.statement`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitShowCreateView?: (ctx: ShowCreateViewContext) => Result;
    /**
     * Visit a parse tree produced by the `showCreateMaterializedView`
     * labeled alternative in `TrinoParser.statement`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitShowCreateMaterializedView?: (ctx: ShowCreateMaterializedViewContext) => Result;
    /**
     * Visit a parse tree produced by the `showTables`
     * labeled alternative in `TrinoParser.statement`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitShowTables?: (ctx: ShowTablesContext) => Result;
    /**
     * Visit a parse tree produced by the `showSchemas`
     * labeled alternative in `TrinoParser.statement`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitShowSchemas?: (ctx: ShowSchemasContext) => Result;
    /**
     * Visit a parse tree produced by the `showCatalogs`
     * labeled alternative in `TrinoParser.statement`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitShowCatalogs?: (ctx: ShowCatalogsContext) => Result;
    /**
     * Visit a parse tree produced by the `showColumns`
     * labeled alternative in `TrinoParser.statement`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitShowColumns?: (ctx: ShowColumnsContext) => Result;
    /**
     * Visit a parse tree produced by the `showStats`
     * labeled alternative in `TrinoParser.statement`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitShowStats?: (ctx: ShowStatsContext) => Result;
    /**
     * Visit a parse tree produced by the `showStatsForQuery`
     * labeled alternative in `TrinoParser.statement`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitShowStatsForQuery?: (ctx: ShowStatsForQueryContext) => Result;
    /**
     * Visit a parse tree produced by the `showRoles`
     * labeled alternative in `TrinoParser.statement`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitShowRoles?: (ctx: ShowRolesContext) => Result;
    /**
     * Visit a parse tree produced by the `showRoleGrants`
     * labeled alternative in `TrinoParser.statement`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitShowRoleGrants?: (ctx: ShowRoleGrantsContext) => Result;
    /**
     * Visit a parse tree produced by the `showFunctions`
     * labeled alternative in `TrinoParser.statement`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitShowFunctions?: (ctx: ShowFunctionsContext) => Result;
    /**
     * Visit a parse tree produced by the `showSession`
     * labeled alternative in `TrinoParser.statement`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitShowSession?: (ctx: ShowSessionContext) => Result;
    /**
     * Visit a parse tree produced by the `setSessionAuthorization`
     * labeled alternative in `TrinoParser.statement`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSetSessionAuthorization?: (ctx: SetSessionAuthorizationContext) => Result;
    /**
     * Visit a parse tree produced by the `resetSessionAuthorization`
     * labeled alternative in `TrinoParser.statement`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitResetSessionAuthorization?: (ctx: ResetSessionAuthorizationContext) => Result;
    /**
     * Visit a parse tree produced by the `setSession`
     * labeled alternative in `TrinoParser.statement`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSetSession?: (ctx: SetSessionContext) => Result;
    /**
     * Visit a parse tree produced by the `resetSession`
     * labeled alternative in `TrinoParser.statement`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitResetSession?: (ctx: ResetSessionContext) => Result;
    /**
     * Visit a parse tree produced by the `startTransaction`
     * labeled alternative in `TrinoParser.statement`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitStartTransaction?: (ctx: StartTransactionContext) => Result;
    /**
     * Visit a parse tree produced by the `commit`
     * labeled alternative in `TrinoParser.statement`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitCommit?: (ctx: CommitContext) => Result;
    /**
     * Visit a parse tree produced by the `rollback`
     * labeled alternative in `TrinoParser.statement`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitRollback?: (ctx: RollbackContext) => Result;
    /**
     * Visit a parse tree produced by the `prepare`
     * labeled alternative in `TrinoParser.statement`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitPrepare?: (ctx: PrepareContext) => Result;
    /**
     * Visit a parse tree produced by the `deallocate`
     * labeled alternative in `TrinoParser.statement`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitDeallocate?: (ctx: DeallocateContext) => Result;
    /**
     * Visit a parse tree produced by the `execute`
     * labeled alternative in `TrinoParser.statement`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitExecute?: (ctx: ExecuteContext) => Result;
    /**
     * Visit a parse tree produced by the `executeImmediate`
     * labeled alternative in `TrinoParser.statement`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitExecuteImmediate?: (ctx: ExecuteImmediateContext) => Result;
    /**
     * Visit a parse tree produced by the `describeInput`
     * labeled alternative in `TrinoParser.statement`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitDescribeInput?: (ctx: DescribeInputContext) => Result;
    /**
     * Visit a parse tree produced by the `describeOutput`
     * labeled alternative in `TrinoParser.statement`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitDescribeOutput?: (ctx: DescribeOutputContext) => Result;
    /**
     * Visit a parse tree produced by the `setPath`
     * labeled alternative in `TrinoParser.statement`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSetPath?: (ctx: SetPathContext) => Result;
    /**
     * Visit a parse tree produced by the `setTimeZone`
     * labeled alternative in `TrinoParser.statement`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSetTimeZone?: (ctx: SetTimeZoneContext) => Result;
    /**
     * Visit a parse tree produced by the `merge`
     * labeled alternative in `TrinoParser.statement`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitMerge?: (ctx: MergeContext) => Result;
    /**
     * Visit a parse tree produced by `TrinoParser.insertStatement`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitInsertStatement?: (ctx: InsertStatementContext) => Result;
    /**
     * Visit a parse tree produced by `TrinoParser.updateStatement`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitUpdateStatement?: (ctx: UpdateStatementContext) => Result;
    /**
     * Visit a parse tree produced by `TrinoParser.rootQuery`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitRootQuery?: (ctx: RootQueryContext) => Result;
    /**
     * Visit a parse tree produced by `TrinoParser.withFunction`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitWithFunction?: (ctx: WithFunctionContext) => Result;
    /**
     * Visit a parse tree produced by `TrinoParser.query`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitQuery?: (ctx: QueryContext) => Result;
    /**
     * Visit a parse tree produced by `TrinoParser.with`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitWith?: (ctx: WithContext) => Result;
    /**
     * Visit a parse tree produced by `TrinoParser.tableElement`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitTableElement?: (ctx: TableElementContext) => Result;
    /**
     * Visit a parse tree produced by `TrinoParser.columnDefinition`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitColumnDefinition?: (ctx: ColumnDefinitionContext) => Result;
    /**
     * Visit a parse tree produced by `TrinoParser.likeClause`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitLikeClause?: (ctx: LikeClauseContext) => Result;
    /**
     * Visit a parse tree produced by `TrinoParser.properties`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitProperties?: (ctx: PropertiesContext) => Result;
    /**
     * Visit a parse tree produced by `TrinoParser.propertyAssignments`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitPropertyAssignments?: (ctx: PropertyAssignmentsContext) => Result;
    /**
     * Visit a parse tree produced by `TrinoParser.property`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitProperty?: (ctx: PropertyContext) => Result;
    /**
     * Visit a parse tree produced by the `defaultPropertyValue`
     * labeled alternative in `TrinoParser.propertyValue`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitDefaultPropertyValue?: (ctx: DefaultPropertyValueContext) => Result;
    /**
     * Visit a parse tree produced by the `nonDefaultPropertyValue`
     * labeled alternative in `TrinoParser.propertyValue`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitNonDefaultPropertyValue?: (ctx: NonDefaultPropertyValueContext) => Result;
    /**
     * Visit a parse tree produced by `TrinoParser.queryNoWith`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitQueryNoWith?: (ctx: QueryNoWithContext) => Result;
    /**
     * Visit a parse tree produced by `TrinoParser.limitRowCount`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitLimitRowCount?: (ctx: LimitRowCountContext) => Result;
    /**
     * Visit a parse tree produced by `TrinoParser.rowCount`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitRowCount?: (ctx: RowCountContext) => Result;
    /**
     * Visit a parse tree produced by the `queryTermDefault`
     * labeled alternative in `TrinoParser.queryTerm`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitQueryTermDefault?: (ctx: QueryTermDefaultContext) => Result;
    /**
     * Visit a parse tree produced by the `setOperation`
     * labeled alternative in `TrinoParser.queryTerm`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSetOperation?: (ctx: SetOperationContext) => Result;
    /**
     * Visit a parse tree produced by the `queryPrimaryDefault`
     * labeled alternative in `TrinoParser.queryPrimary`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitQueryPrimaryDefault?: (ctx: QueryPrimaryDefaultContext) => Result;
    /**
     * Visit a parse tree produced by the `table`
     * labeled alternative in `TrinoParser.queryPrimary`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitTable?: (ctx: TableContext) => Result;
    /**
     * Visit a parse tree produced by the `inlineTable`
     * labeled alternative in `TrinoParser.queryPrimary`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitInlineTable?: (ctx: InlineTableContext) => Result;
    /**
     * Visit a parse tree produced by the `subquery`
     * labeled alternative in `TrinoParser.queryPrimary`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSubquery?: (ctx: SubqueryContext) => Result;
    /**
     * Visit a parse tree produced by `TrinoParser.sortItem`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSortItem?: (ctx: SortItemContext) => Result;
    /**
     * Visit a parse tree produced by `TrinoParser.querySpecification`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitQuerySpecification?: (ctx: QuerySpecificationContext) => Result;
    /**
     * Visit a parse tree produced by `TrinoParser.fromClause`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitFromClause?: (ctx: FromClauseContext) => Result;
    /**
     * Visit a parse tree produced by `TrinoParser.groupBy`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitGroupBy?: (ctx: GroupByContext) => Result;
    /**
     * Visit a parse tree produced by the `singleGroupingSet`
     * labeled alternative in `TrinoParser.groupingElement`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSingleGroupingSet?: (ctx: SingleGroupingSetContext) => Result;
    /**
     * Visit a parse tree produced by the `rollup`
     * labeled alternative in `TrinoParser.groupingElement`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitRollup?: (ctx: RollupContext) => Result;
    /**
     * Visit a parse tree produced by the `cube`
     * labeled alternative in `TrinoParser.groupingElement`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitCube?: (ctx: CubeContext) => Result;
    /**
     * Visit a parse tree produced by the `multipleGroupingSets`
     * labeled alternative in `TrinoParser.groupingElement`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitMultipleGroupingSets?: (ctx: MultipleGroupingSetsContext) => Result;
    /**
     * Visit a parse tree produced by `TrinoParser.groupingSet`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitGroupingSet?: (ctx: GroupingSetContext) => Result;
    /**
     * Visit a parse tree produced by `TrinoParser.windowDefinition`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitWindowDefinition?: (ctx: WindowDefinitionContext) => Result;
    /**
     * Visit a parse tree produced by `TrinoParser.windowSpecification`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitWindowSpecification?: (ctx: WindowSpecificationContext) => Result;
    /**
     * Visit a parse tree produced by `TrinoParser.namedQuery`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitNamedQuery?: (ctx: NamedQueryContext) => Result;
    /**
     * Visit a parse tree produced by `TrinoParser.setQuantifier`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSetQuantifier?: (ctx: SetQuantifierContext) => Result;
    /**
     * Visit a parse tree produced by `TrinoParser.selectItem`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSelectItem?: (ctx: SelectItemContext) => Result;
    /**
     * Visit a parse tree produced by the `relationDefault`
     * labeled alternative in `TrinoParser.relation`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitRelationDefault?: (ctx: RelationDefaultContext) => Result;
    /**
     * Visit a parse tree produced by the `joinRelation`
     * labeled alternative in `TrinoParser.relation`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitJoinRelation?: (ctx: JoinRelationContext) => Result;
    /**
     * Visit a parse tree produced by `TrinoParser.joinType`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitJoinType?: (ctx: JoinTypeContext) => Result;
    /**
     * Visit a parse tree produced by `TrinoParser.joinCriteria`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitJoinCriteria?: (ctx: JoinCriteriaContext) => Result;
    /**
     * Visit a parse tree produced by `TrinoParser.sampledRelation`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSampledRelation?: (ctx: SampledRelationContext) => Result;
    /**
     * Visit a parse tree produced by `TrinoParser.sampleType`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSampleType?: (ctx: SampleTypeContext) => Result;
    /**
     * Visit a parse tree produced by `TrinoParser.trimsSpecification`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitTrimsSpecification?: (ctx: TrimsSpecificationContext) => Result;
    /**
     * Visit a parse tree produced by `TrinoParser.listAggOverflowBehavior`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitListAggOverflowBehavior?: (ctx: ListAggOverflowBehaviorContext) => Result;
    /**
     * Visit a parse tree produced by `TrinoParser.listaggCountIndication`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitListaggCountIndication?: (ctx: ListaggCountIndicationContext) => Result;
    /**
     * Visit a parse tree produced by `TrinoParser.patternRecognition`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitPatternRecognition?: (ctx: PatternRecognitionContext) => Result;
    /**
     * Visit a parse tree produced by `TrinoParser.measureDefinition`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitMeasureDefinition?: (ctx: MeasureDefinitionContext) => Result;
    /**
     * Visit a parse tree produced by `TrinoParser.rowsPerMatch`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitRowsPerMatch?: (ctx: RowsPerMatchContext) => Result;
    /**
     * Visit a parse tree produced by `TrinoParser.emptyMatchHandling`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitEmptyMatchHandling?: (ctx: EmptyMatchHandlingContext) => Result;
    /**
     * Visit a parse tree produced by `TrinoParser.skipTo`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSkipTo?: (ctx: SkipToContext) => Result;
    /**
     * Visit a parse tree produced by `TrinoParser.subsetDefinition`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSubsetDefinition?: (ctx: SubsetDefinitionContext) => Result;
    /**
     * Visit a parse tree produced by `TrinoParser.variableDefinition`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitVariableDefinition?: (ctx: VariableDefinitionContext) => Result;
    /**
     * Visit a parse tree produced by `TrinoParser.aliasedRelation`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitAliasedRelation?: (ctx: AliasedRelationContext) => Result;
    /**
     * Visit a parse tree produced by `TrinoParser.columnAliases`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitColumnAliases?: (ctx: ColumnAliasesContext) => Result;
    /**
     * Visit a parse tree produced by the `tableName`
     * labeled alternative in `TrinoParser.relationPrimary`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitTableName?: (ctx: TableNameContext) => Result;
    /**
     * Visit a parse tree produced by the `subqueryRelation`
     * labeled alternative in `TrinoParser.relationPrimary`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSubqueryRelation?: (ctx: SubqueryRelationContext) => Result;
    /**
     * Visit a parse tree produced by the `unnest`
     * labeled alternative in `TrinoParser.relationPrimary`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitUnnest?: (ctx: UnnestContext) => Result;
    /**
     * Visit a parse tree produced by the `lateral`
     * labeled alternative in `TrinoParser.relationPrimary`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitLateral?: (ctx: LateralContext) => Result;
    /**
     * Visit a parse tree produced by the `tableFunctionInvocation`
     * labeled alternative in `TrinoParser.relationPrimary`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitTableFunctionInvocation?: (ctx: TableFunctionInvocationContext) => Result;
    /**
     * Visit a parse tree produced by the `parenthesizedRelation`
     * labeled alternative in `TrinoParser.relationPrimary`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitParenthesizedRelation?: (ctx: ParenthesizedRelationContext) => Result;
    /**
     * Visit a parse tree produced by `TrinoParser.tableFunctionCall`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitTableFunctionCall?: (ctx: TableFunctionCallContext) => Result;
    /**
     * Visit a parse tree produced by `TrinoParser.tableFunctionArgument`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitTableFunctionArgument?: (ctx: TableFunctionArgumentContext) => Result;
    /**
     * Visit a parse tree produced by `TrinoParser.tableArgument`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitTableArgument?: (ctx: TableArgumentContext) => Result;
    /**
     * Visit a parse tree produced by the `tableArgumentTable`
     * labeled alternative in `TrinoParser.tableArgumentRelation`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitTableArgumentTable?: (ctx: TableArgumentTableContext) => Result;
    /**
     * Visit a parse tree produced by the `tableArgumentQuery`
     * labeled alternative in `TrinoParser.tableArgumentRelation`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitTableArgumentQuery?: (ctx: TableArgumentQueryContext) => Result;
    /**
     * Visit a parse tree produced by `TrinoParser.descriptorArgument`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitDescriptorArgument?: (ctx: DescriptorArgumentContext) => Result;
    /**
     * Visit a parse tree produced by `TrinoParser.descriptorField`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitDescriptorField?: (ctx: DescriptorFieldContext) => Result;
    /**
     * Visit a parse tree produced by `TrinoParser.copartitionTables`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitCopartitionTables?: (ctx: CopartitionTablesContext) => Result;
    /**
     * Visit a parse tree produced by `TrinoParser.expression`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitExpression?: (ctx: ExpressionContext) => Result;
    /**
     * Visit a parse tree produced by the `logicalNot`
     * labeled alternative in `TrinoParser.booleanExpression`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitLogicalNot?: (ctx: LogicalNotContext) => Result;
    /**
     * Visit a parse tree produced by the `predicated`
     * labeled alternative in `TrinoParser.booleanExpression`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitPredicated?: (ctx: PredicatedContext) => Result;
    /**
     * Visit a parse tree produced by the `or`
     * labeled alternative in `TrinoParser.booleanExpression`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitOr?: (ctx: OrContext) => Result;
    /**
     * Visit a parse tree produced by the `and`
     * labeled alternative in `TrinoParser.booleanExpression`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitAnd?: (ctx: AndContext) => Result;
    /**
     * Visit a parse tree produced by the `comparison`
     * labeled alternative in `TrinoParser.predicate_`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitComparison?: (ctx: ComparisonContext) => Result;
    /**
     * Visit a parse tree produced by the `quantifiedComparison`
     * labeled alternative in `TrinoParser.predicate_`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitQuantifiedComparison?: (ctx: QuantifiedComparisonContext) => Result;
    /**
     * Visit a parse tree produced by the `between`
     * labeled alternative in `TrinoParser.predicate_`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitBetween?: (ctx: BetweenContext) => Result;
    /**
     * Visit a parse tree produced by the `inList`
     * labeled alternative in `TrinoParser.predicate_`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitInList?: (ctx: InListContext) => Result;
    /**
     * Visit a parse tree produced by the `inSubquery`
     * labeled alternative in `TrinoParser.predicate_`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitInSubquery?: (ctx: InSubqueryContext) => Result;
    /**
     * Visit a parse tree produced by the `like`
     * labeled alternative in `TrinoParser.predicate_`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitLike?: (ctx: LikeContext) => Result;
    /**
     * Visit a parse tree produced by the `nullPredicate`
     * labeled alternative in `TrinoParser.predicate_`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitNullPredicate?: (ctx: NullPredicateContext) => Result;
    /**
     * Visit a parse tree produced by the `distinctFrom`
     * labeled alternative in `TrinoParser.predicate_`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitDistinctFrom?: (ctx: DistinctFromContext) => Result;
    /**
     * Visit a parse tree produced by the `valueExpressionDefault`
     * labeled alternative in `TrinoParser.valueExpression`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitValueExpressionDefault?: (ctx: ValueExpressionDefaultContext) => Result;
    /**
     * Visit a parse tree produced by the `concatenation`
     * labeled alternative in `TrinoParser.valueExpression`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitConcatenation?: (ctx: ConcatenationContext) => Result;
    /**
     * Visit a parse tree produced by the `arithmeticBinary`
     * labeled alternative in `TrinoParser.valueExpression`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitArithmeticBinary?: (ctx: ArithmeticBinaryContext) => Result;
    /**
     * Visit a parse tree produced by the `arithmeticUnary`
     * labeled alternative in `TrinoParser.valueExpression`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitArithmeticUnary?: (ctx: ArithmeticUnaryContext) => Result;
    /**
     * Visit a parse tree produced by the `atTimeZone`
     * labeled alternative in `TrinoParser.valueExpression`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitAtTimeZone?: (ctx: AtTimeZoneContext) => Result;
    /**
     * Visit a parse tree produced by the `dereference`
     * labeled alternative in `TrinoParser.primaryExpression`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitDereference?: (ctx: DereferenceContext) => Result;
    /**
     * Visit a parse tree produced by the `typeConstructor`
     * labeled alternative in `TrinoParser.primaryExpression`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitTypeConstructor?: (ctx: TypeConstructorContext) => Result;
    /**
     * Visit a parse tree produced by the `jsonValue`
     * labeled alternative in `TrinoParser.primaryExpression`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitJsonValue?: (ctx: JsonValueContext) => Result;
    /**
     * Visit a parse tree produced by the `specialDateTimeFunction`
     * labeled alternative in `TrinoParser.primaryExpression`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSpecialDateTimeFunction?: (ctx: SpecialDateTimeFunctionContext) => Result;
    /**
     * Visit a parse tree produced by the `substring`
     * labeled alternative in `TrinoParser.primaryExpression`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSubstring?: (ctx: SubstringContext) => Result;
    /**
     * Visit a parse tree produced by the `cast`
     * labeled alternative in `TrinoParser.primaryExpression`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitCast?: (ctx: CastContext) => Result;
    /**
     * Visit a parse tree produced by the `lambda`
     * labeled alternative in `TrinoParser.primaryExpression`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitLambda?: (ctx: LambdaContext) => Result;
    /**
     * Visit a parse tree produced by the `parenthesizedExpression`
     * labeled alternative in `TrinoParser.primaryExpression`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitParenthesizedExpression?: (ctx: ParenthesizedExpressionContext) => Result;
    /**
     * Visit a parse tree produced by the `trim`
     * labeled alternative in `TrinoParser.primaryExpression`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitTrim?: (ctx: TrimContext) => Result;
    /**
     * Visit a parse tree produced by the `parameter`
     * labeled alternative in `TrinoParser.primaryExpression`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitParameter?: (ctx: ParameterContext) => Result;
    /**
     * Visit a parse tree produced by the `normalize`
     * labeled alternative in `TrinoParser.primaryExpression`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitNormalize?: (ctx: NormalizeContext) => Result;
    /**
     * Visit a parse tree produced by the `jsonObject`
     * labeled alternative in `TrinoParser.primaryExpression`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitJsonObject?: (ctx: JsonObjectContext) => Result;
    /**
     * Visit a parse tree produced by the `intervalLiteral`
     * labeled alternative in `TrinoParser.primaryExpression`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitIntervalLiteral?: (ctx: IntervalLiteralContext) => Result;
    /**
     * Visit a parse tree produced by the `numericLiteral`
     * labeled alternative in `TrinoParser.primaryExpression`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitNumericLiteral?: (ctx: NumericLiteralContext) => Result;
    /**
     * Visit a parse tree produced by the `booleanLiteral`
     * labeled alternative in `TrinoParser.primaryExpression`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitBooleanLiteral?: (ctx: BooleanLiteralContext) => Result;
    /**
     * Visit a parse tree produced by the `jsonArray`
     * labeled alternative in `TrinoParser.primaryExpression`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitJsonArray?: (ctx: JsonArrayContext) => Result;
    /**
     * Visit a parse tree produced by the `simpleCase`
     * labeled alternative in `TrinoParser.primaryExpression`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSimpleCase?: (ctx: SimpleCaseContext) => Result;
    /**
     * Visit a parse tree produced by the `nullLiteral`
     * labeled alternative in `TrinoParser.primaryExpression`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitNullLiteral?: (ctx: NullLiteralContext) => Result;
    /**
     * Visit a parse tree produced by the `rowConstructor`
     * labeled alternative in `TrinoParser.primaryExpression`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitRowConstructor?: (ctx: RowConstructorContext) => Result;
    /**
     * Visit a parse tree produced by the `subscript`
     * labeled alternative in `TrinoParser.primaryExpression`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSubscript?: (ctx: SubscriptContext) => Result;
    /**
     * Visit a parse tree produced by the `jsonExists`
     * labeled alternative in `TrinoParser.primaryExpression`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitJsonExists?: (ctx: JsonExistsContext) => Result;
    /**
     * Visit a parse tree produced by the `column`
     * labeled alternative in `TrinoParser.primaryExpression`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitColumn?: (ctx: ColumnContext) => Result;
    /**
     * Visit a parse tree produced by the `currentPath`
     * labeled alternative in `TrinoParser.primaryExpression`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitCurrentPath?: (ctx: CurrentPathContext) => Result;
    /**
     * Visit a parse tree produced by the `subqueryExpression`
     * labeled alternative in `TrinoParser.primaryExpression`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSubqueryExpression?: (ctx: SubqueryExpressionContext) => Result;
    /**
     * Visit a parse tree produced by the `binaryLiteral`
     * labeled alternative in `TrinoParser.primaryExpression`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitBinaryLiteral?: (ctx: BinaryLiteralContext) => Result;
    /**
     * Visit a parse tree produced by the `currentUser`
     * labeled alternative in `TrinoParser.primaryExpression`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitCurrentUser?: (ctx: CurrentUserContext) => Result;
    /**
     * Visit a parse tree produced by the `jsonQuery`
     * labeled alternative in `TrinoParser.primaryExpression`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitJsonQuery?: (ctx: JsonQueryContext) => Result;
    /**
     * Visit a parse tree produced by the `measure`
     * labeled alternative in `TrinoParser.primaryExpression`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitMeasure?: (ctx: MeasureContext) => Result;
    /**
     * Visit a parse tree produced by the `extract`
     * labeled alternative in `TrinoParser.primaryExpression`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitExtract?: (ctx: ExtractContext) => Result;
    /**
     * Visit a parse tree produced by the `stringLiteral`
     * labeled alternative in `TrinoParser.primaryExpression`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitStringLiteral?: (ctx: StringLiteralContext) => Result;
    /**
     * Visit a parse tree produced by the `arrayConstructor`
     * labeled alternative in `TrinoParser.primaryExpression`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitArrayConstructor?: (ctx: ArrayConstructorContext) => Result;
    /**
     * Visit a parse tree produced by the `functionCall`
     * labeled alternative in `TrinoParser.primaryExpression`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitFunctionCall?: (ctx: FunctionCallContext) => Result;
    /**
     * Visit a parse tree produced by the `currentSchema`
     * labeled alternative in `TrinoParser.primaryExpression`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitCurrentSchema?: (ctx: CurrentSchemaContext) => Result;
    /**
     * Visit a parse tree produced by the `exists`
     * labeled alternative in `TrinoParser.primaryExpression`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitExists?: (ctx: ExistsContext) => Result;
    /**
     * Visit a parse tree produced by the `position`
     * labeled alternative in `TrinoParser.primaryExpression`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitPosition?: (ctx: PositionContext) => Result;
    /**
     * Visit a parse tree produced by the `listagg`
     * labeled alternative in `TrinoParser.primaryExpression`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitListagg?: (ctx: ListaggContext) => Result;
    /**
     * Visit a parse tree produced by the `searchedCase`
     * labeled alternative in `TrinoParser.primaryExpression`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSearchedCase?: (ctx: SearchedCaseContext) => Result;
    /**
     * Visit a parse tree produced by the `currentCatalog`
     * labeled alternative in `TrinoParser.primaryExpression`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitCurrentCatalog?: (ctx: CurrentCatalogContext) => Result;
    /**
     * Visit a parse tree produced by the `groupingOperation`
     * labeled alternative in `TrinoParser.primaryExpression`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitGroupingOperation?: (ctx: GroupingOperationContext) => Result;
    /**
     * Visit a parse tree produced by `TrinoParser.jsonPathInvocation`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitJsonPathInvocation?: (ctx: JsonPathInvocationContext) => Result;
    /**
     * Visit a parse tree produced by `TrinoParser.jsonValueExpression`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitJsonValueExpression?: (ctx: JsonValueExpressionContext) => Result;
    /**
     * Visit a parse tree produced by `TrinoParser.jsonRepresentation`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitJsonRepresentation?: (ctx: JsonRepresentationContext) => Result;
    /**
     * Visit a parse tree produced by `TrinoParser.jsonArgument`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitJsonArgument?: (ctx: JsonArgumentContext) => Result;
    /**
     * Visit a parse tree produced by `TrinoParser.jsonExistsErrorBehavior`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitJsonExistsErrorBehavior?: (ctx: JsonExistsErrorBehaviorContext) => Result;
    /**
     * Visit a parse tree produced by `TrinoParser.jsonValueBehavior`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitJsonValueBehavior?: (ctx: JsonValueBehaviorContext) => Result;
    /**
     * Visit a parse tree produced by `TrinoParser.jsonQueryWrapperBehavior`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitJsonQueryWrapperBehavior?: (ctx: JsonQueryWrapperBehaviorContext) => Result;
    /**
     * Visit a parse tree produced by `TrinoParser.jsonQueryBehavior`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitJsonQueryBehavior?: (ctx: JsonQueryBehaviorContext) => Result;
    /**
     * Visit a parse tree produced by `TrinoParser.jsonObjectMember`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitJsonObjectMember?: (ctx: JsonObjectMemberContext) => Result;
    /**
     * Visit a parse tree produced by `TrinoParser.processingMode`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitProcessingMode?: (ctx: ProcessingModeContext) => Result;
    /**
     * Visit a parse tree produced by `TrinoParser.nullTreatment`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitNullTreatment?: (ctx: NullTreatmentContext) => Result;
    /**
     * Visit a parse tree produced by the `basicStringLiteral`
     * labeled alternative in `TrinoParser.string_`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitBasicStringLiteral?: (ctx: BasicStringLiteralContext) => Result;
    /**
     * Visit a parse tree produced by the `unicodeStringLiteral`
     * labeled alternative in `TrinoParser.string_`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitUnicodeStringLiteral?: (ctx: UnicodeStringLiteralContext) => Result;
    /**
     * Visit a parse tree produced by the `timeZoneInterval`
     * labeled alternative in `TrinoParser.timeZoneSpecifier`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitTimeZoneInterval?: (ctx: TimeZoneIntervalContext) => Result;
    /**
     * Visit a parse tree produced by the `timeZoneString`
     * labeled alternative in `TrinoParser.timeZoneSpecifier`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitTimeZoneString?: (ctx: TimeZoneStringContext) => Result;
    /**
     * Visit a parse tree produced by `TrinoParser.comparisonOperator`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitComparisonOperator?: (ctx: ComparisonOperatorContext) => Result;
    /**
     * Visit a parse tree produced by `TrinoParser.comparisonQuantifier`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitComparisonQuantifier?: (ctx: ComparisonQuantifierContext) => Result;
    /**
     * Visit a parse tree produced by `TrinoParser.booleanValue`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitBooleanValue?: (ctx: BooleanValueContext) => Result;
    /**
     * Visit a parse tree produced by `TrinoParser.interval`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitInterval?: (ctx: IntervalContext) => Result;
    /**
     * Visit a parse tree produced by `TrinoParser.intervalField`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitIntervalField?: (ctx: IntervalFieldContext) => Result;
    /**
     * Visit a parse tree produced by `TrinoParser.normalForm`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitNormalForm?: (ctx: NormalFormContext) => Result;
    /**
     * Visit a parse tree produced by the `rowType`
     * labeled alternative in `TrinoParser.type`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitRowType?: (ctx: RowTypeContext) => Result;
    /**
     * Visit a parse tree produced by the `intervalType`
     * labeled alternative in `TrinoParser.type`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitIntervalType?: (ctx: IntervalTypeContext) => Result;
    /**
     * Visit a parse tree produced by the `arrayType`
     * labeled alternative in `TrinoParser.type`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitArrayType?: (ctx: ArrayTypeContext) => Result;
    /**
     * Visit a parse tree produced by the `doublePrecisionType`
     * labeled alternative in `TrinoParser.type`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitDoublePrecisionType?: (ctx: DoublePrecisionTypeContext) => Result;
    /**
     * Visit a parse tree produced by the `legacyArrayType`
     * labeled alternative in `TrinoParser.type`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitLegacyArrayType?: (ctx: LegacyArrayTypeContext) => Result;
    /**
     * Visit a parse tree produced by the `genericType`
     * labeled alternative in `TrinoParser.type`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitGenericType?: (ctx: GenericTypeContext) => Result;
    /**
     * Visit a parse tree produced by the `dateTimeType`
     * labeled alternative in `TrinoParser.type`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitDateTimeType?: (ctx: DateTimeTypeContext) => Result;
    /**
     * Visit a parse tree produced by the `legacyMapType`
     * labeled alternative in `TrinoParser.type`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitLegacyMapType?: (ctx: LegacyMapTypeContext) => Result;
    /**
     * Visit a parse tree produced by `TrinoParser.rowField`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitRowField?: (ctx: RowFieldContext) => Result;
    /**
     * Visit a parse tree produced by `TrinoParser.typeParameter`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitTypeParameter?: (ctx: TypeParameterContext) => Result;
    /**
     * Visit a parse tree produced by `TrinoParser.whenClause`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitWhenClause?: (ctx: WhenClauseContext) => Result;
    /**
     * Visit a parse tree produced by `TrinoParser.filter`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitFilter?: (ctx: FilterContext) => Result;
    /**
     * Visit a parse tree produced by the `mergeUpdate`
     * labeled alternative in `TrinoParser.mergeCase`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitMergeUpdate?: (ctx: MergeUpdateContext) => Result;
    /**
     * Visit a parse tree produced by the `mergeDelete`
     * labeled alternative in `TrinoParser.mergeCase`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitMergeDelete?: (ctx: MergeDeleteContext) => Result;
    /**
     * Visit a parse tree produced by the `mergeInsert`
     * labeled alternative in `TrinoParser.mergeCase`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitMergeInsert?: (ctx: MergeInsertContext) => Result;
    /**
     * Visit a parse tree produced by `TrinoParser.over`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitOver?: (ctx: OverContext) => Result;
    /**
     * Visit a parse tree produced by `TrinoParser.windowFrame`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitWindowFrame?: (ctx: WindowFrameContext) => Result;
    /**
     * Visit a parse tree produced by `TrinoParser.frameExtent`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitFrameExtent?: (ctx: FrameExtentContext) => Result;
    /**
     * Visit a parse tree produced by the `unboundedFrame`
     * labeled alternative in `TrinoParser.frameBound`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitUnboundedFrame?: (ctx: UnboundedFrameContext) => Result;
    /**
     * Visit a parse tree produced by the `currentRowBound`
     * labeled alternative in `TrinoParser.frameBound`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitCurrentRowBound?: (ctx: CurrentRowBoundContext) => Result;
    /**
     * Visit a parse tree produced by the `boundedFrame`
     * labeled alternative in `TrinoParser.frameBound`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitBoundedFrame?: (ctx: BoundedFrameContext) => Result;
    /**
     * Visit a parse tree produced by the `quantifiedPrimary`
     * labeled alternative in `TrinoParser.rowPattern`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitQuantifiedPrimary?: (ctx: QuantifiedPrimaryContext) => Result;
    /**
     * Visit a parse tree produced by the `patternConcatenation`
     * labeled alternative in `TrinoParser.rowPattern`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitPatternConcatenation?: (ctx: PatternConcatenationContext) => Result;
    /**
     * Visit a parse tree produced by the `patternAlternation`
     * labeled alternative in `TrinoParser.rowPattern`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitPatternAlternation?: (ctx: PatternAlternationContext) => Result;
    /**
     * Visit a parse tree produced by the `patternVariable`
     * labeled alternative in `TrinoParser.patternPrimary`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitPatternVariable?: (ctx: PatternVariableContext) => Result;
    /**
     * Visit a parse tree produced by the `emptyPattern`
     * labeled alternative in `TrinoParser.patternPrimary`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitEmptyPattern?: (ctx: EmptyPatternContext) => Result;
    /**
     * Visit a parse tree produced by the `patternPermutation`
     * labeled alternative in `TrinoParser.patternPrimary`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitPatternPermutation?: (ctx: PatternPermutationContext) => Result;
    /**
     * Visit a parse tree produced by the `groupedPattern`
     * labeled alternative in `TrinoParser.patternPrimary`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitGroupedPattern?: (ctx: GroupedPatternContext) => Result;
    /**
     * Visit a parse tree produced by the `partitionStartAnchor`
     * labeled alternative in `TrinoParser.patternPrimary`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitPartitionStartAnchor?: (ctx: PartitionStartAnchorContext) => Result;
    /**
     * Visit a parse tree produced by the `partitionEndAnchor`
     * labeled alternative in `TrinoParser.patternPrimary`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitPartitionEndAnchor?: (ctx: PartitionEndAnchorContext) => Result;
    /**
     * Visit a parse tree produced by the `excludedPattern`
     * labeled alternative in `TrinoParser.patternPrimary`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitExcludedPattern?: (ctx: ExcludedPatternContext) => Result;
    /**
     * Visit a parse tree produced by the `zeroOrMoreQuantifier`
     * labeled alternative in `TrinoParser.patternQuantifier`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitZeroOrMoreQuantifier?: (ctx: ZeroOrMoreQuantifierContext) => Result;
    /**
     * Visit a parse tree produced by the `oneOrMoreQuantifier`
     * labeled alternative in `TrinoParser.patternQuantifier`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitOneOrMoreQuantifier?: (ctx: OneOrMoreQuantifierContext) => Result;
    /**
     * Visit a parse tree produced by the `zeroOrOneQuantifier`
     * labeled alternative in `TrinoParser.patternQuantifier`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitZeroOrOneQuantifier?: (ctx: ZeroOrOneQuantifierContext) => Result;
    /**
     * Visit a parse tree produced by the `rangeQuantifier`
     * labeled alternative in `TrinoParser.patternQuantifier`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitRangeQuantifier?: (ctx: RangeQuantifierContext) => Result;
    /**
     * Visit a parse tree produced by `TrinoParser.updateAssignment`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitUpdateAssignment?: (ctx: UpdateAssignmentContext) => Result;
    /**
     * Visit a parse tree produced by the `explainFormat`
     * labeled alternative in `TrinoParser.explainOption`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitExplainFormat?: (ctx: ExplainFormatContext) => Result;
    /**
     * Visit a parse tree produced by the `explainType`
     * labeled alternative in `TrinoParser.explainOption`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitExplainType?: (ctx: ExplainTypeContext) => Result;
    /**
     * Visit a parse tree produced by the `isolationLevel`
     * labeled alternative in `TrinoParser.transactionMode`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitIsolationLevel?: (ctx: IsolationLevelContext) => Result;
    /**
     * Visit a parse tree produced by the `transactionAccessMode`
     * labeled alternative in `TrinoParser.transactionMode`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitTransactionAccessMode?: (ctx: TransactionAccessModeContext) => Result;
    /**
     * Visit a parse tree produced by the `readUncommitted`
     * labeled alternative in `TrinoParser.levelOfIsolation`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitReadUncommitted?: (ctx: ReadUncommittedContext) => Result;
    /**
     * Visit a parse tree produced by the `readCommitted`
     * labeled alternative in `TrinoParser.levelOfIsolation`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitReadCommitted?: (ctx: ReadCommittedContext) => Result;
    /**
     * Visit a parse tree produced by the `repeatableRead`
     * labeled alternative in `TrinoParser.levelOfIsolation`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitRepeatableRead?: (ctx: RepeatableReadContext) => Result;
    /**
     * Visit a parse tree produced by the `serializable`
     * labeled alternative in `TrinoParser.levelOfIsolation`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSerializable?: (ctx: SerializableContext) => Result;
    /**
     * Visit a parse tree produced by the `positionalArgument`
     * labeled alternative in `TrinoParser.callArgument`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitPositionalArgument?: (ctx: PositionalArgumentContext) => Result;
    /**
     * Visit a parse tree produced by the `namedArgument`
     * labeled alternative in `TrinoParser.callArgument`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitNamedArgument?: (ctx: NamedArgumentContext) => Result;
    /**
     * Visit a parse tree produced by the `qualifiedArgument`
     * labeled alternative in `TrinoParser.pathElement`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitQualifiedArgument?: (ctx: QualifiedArgumentContext) => Result;
    /**
     * Visit a parse tree produced by the `unqualifiedArgument`
     * labeled alternative in `TrinoParser.pathElement`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitUnqualifiedArgument?: (ctx: UnqualifiedArgumentContext) => Result;
    /**
     * Visit a parse tree produced by `TrinoParser.pathSpecification`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitPathSpecification?: (ctx: PathSpecificationContext) => Result;
    /**
     * Visit a parse tree produced by `TrinoParser.functionSpecification`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitFunctionSpecification?: (ctx: FunctionSpecificationContext) => Result;
    /**
     * Visit a parse tree produced by `TrinoParser.functionDeclaration`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitFunctionDeclaration?: (ctx: FunctionDeclarationContext) => Result;
    /**
     * Visit a parse tree produced by `TrinoParser.parameterDeclaration`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitParameterDeclaration?: (ctx: ParameterDeclarationContext) => Result;
    /**
     * Visit a parse tree produced by `TrinoParser.returnsClause`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitReturnsClause?: (ctx: ReturnsClauseContext) => Result;
    /**
     * Visit a parse tree produced by the `languageCharacteristic`
     * labeled alternative in `TrinoParser.routineCharacteristic`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitLanguageCharacteristic?: (ctx: LanguageCharacteristicContext) => Result;
    /**
     * Visit a parse tree produced by the `deterministicCharacteristic`
     * labeled alternative in `TrinoParser.routineCharacteristic`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitDeterministicCharacteristic?: (ctx: DeterministicCharacteristicContext) => Result;
    /**
     * Visit a parse tree produced by the `returnsNullOnNullInputCharacteristic`
     * labeled alternative in `TrinoParser.routineCharacteristic`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitReturnsNullOnNullInputCharacteristic?: (ctx: ReturnsNullOnNullInputCharacteristicContext) => Result;
    /**
     * Visit a parse tree produced by the `calledOnNullInputCharacteristic`
     * labeled alternative in `TrinoParser.routineCharacteristic`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitCalledOnNullInputCharacteristic?: (ctx: CalledOnNullInputCharacteristicContext) => Result;
    /**
     * Visit a parse tree produced by the `securityCharacteristic`
     * labeled alternative in `TrinoParser.routineCharacteristic`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSecurityCharacteristic?: (ctx: SecurityCharacteristicContext) => Result;
    /**
     * Visit a parse tree produced by the `commentCharacteristic`
     * labeled alternative in `TrinoParser.routineCharacteristic`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitCommentCharacteristic?: (ctx: CommentCharacteristicContext) => Result;
    /**
     * Visit a parse tree produced by the `returnStatement`
     * labeled alternative in `TrinoParser.controlStatement`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitReturnStatement?: (ctx: ReturnStatementContext) => Result;
    /**
     * Visit a parse tree produced by the `assignmentStatement`
     * labeled alternative in `TrinoParser.controlStatement`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitAssignmentStatement?: (ctx: AssignmentStatementContext) => Result;
    /**
     * Visit a parse tree produced by the `simpleCaseStatement`
     * labeled alternative in `TrinoParser.controlStatement`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSimpleCaseStatement?: (ctx: SimpleCaseStatementContext) => Result;
    /**
     * Visit a parse tree produced by the `searchedCaseStatement`
     * labeled alternative in `TrinoParser.controlStatement`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSearchedCaseStatement?: (ctx: SearchedCaseStatementContext) => Result;
    /**
     * Visit a parse tree produced by the `ifStatement`
     * labeled alternative in `TrinoParser.controlStatement`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitIfStatement?: (ctx: IfStatementContext) => Result;
    /**
     * Visit a parse tree produced by the `iterateStatement`
     * labeled alternative in `TrinoParser.controlStatement`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitIterateStatement?: (ctx: IterateStatementContext) => Result;
    /**
     * Visit a parse tree produced by the `leaveStatement`
     * labeled alternative in `TrinoParser.controlStatement`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitLeaveStatement?: (ctx: LeaveStatementContext) => Result;
    /**
     * Visit a parse tree produced by the `compoundStatement`
     * labeled alternative in `TrinoParser.controlStatement`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitCompoundStatement?: (ctx: CompoundStatementContext) => Result;
    /**
     * Visit a parse tree produced by the `loopStatement`
     * labeled alternative in `TrinoParser.controlStatement`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitLoopStatement?: (ctx: LoopStatementContext) => Result;
    /**
     * Visit a parse tree produced by the `whileStatement`
     * labeled alternative in `TrinoParser.controlStatement`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitWhileStatement?: (ctx: WhileStatementContext) => Result;
    /**
     * Visit a parse tree produced by the `repeatStatement`
     * labeled alternative in `TrinoParser.controlStatement`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitRepeatStatement?: (ctx: RepeatStatementContext) => Result;
    /**
     * Visit a parse tree produced by `TrinoParser.caseStatementWhenClause`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitCaseStatementWhenClause?: (ctx: CaseStatementWhenClauseContext) => Result;
    /**
     * Visit a parse tree produced by `TrinoParser.elseIfClause`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitElseIfClause?: (ctx: ElseIfClauseContext) => Result;
    /**
     * Visit a parse tree produced by `TrinoParser.elseClause`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitElseClause?: (ctx: ElseClauseContext) => Result;
    /**
     * Visit a parse tree produced by `TrinoParser.variableDeclaration`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitVariableDeclaration?: (ctx: VariableDeclarationContext) => Result;
    /**
     * Visit a parse tree produced by `TrinoParser.sqlStatementList`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSqlStatementList?: (ctx: SqlStatementListContext) => Result;
    /**
     * Visit a parse tree produced by `TrinoParser.privilege`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitPrivilege?: (ctx: PrivilegeContext) => Result;
    /**
     * Visit a parse tree produced by `TrinoParser.qualifiedName`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitQualifiedName?: (ctx: QualifiedNameContext) => Result;
    /**
     * Visit a parse tree produced by `TrinoParser.queryPeriod`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitQueryPeriod?: (ctx: QueryPeriodContext) => Result;
    /**
     * Visit a parse tree produced by `TrinoParser.rangeType`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitRangeType?: (ctx: RangeTypeContext) => Result;
    /**
     * Visit a parse tree produced by the `specifiedPrincipal`
     * labeled alternative in `TrinoParser.grantor`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSpecifiedPrincipal?: (ctx: SpecifiedPrincipalContext) => Result;
    /**
     * Visit a parse tree produced by the `currentUserGrantor`
     * labeled alternative in `TrinoParser.grantor`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitCurrentUserGrantor?: (ctx: CurrentUserGrantorContext) => Result;
    /**
     * Visit a parse tree produced by the `currentRoleGrantor`
     * labeled alternative in `TrinoParser.grantor`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitCurrentRoleGrantor?: (ctx: CurrentRoleGrantorContext) => Result;
    /**
     * Visit a parse tree produced by the `unspecifiedPrincipal`
     * labeled alternative in `TrinoParser.principal`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitUnspecifiedPrincipal?: (ctx: UnspecifiedPrincipalContext) => Result;
    /**
     * Visit a parse tree produced by the `userPrincipal`
     * labeled alternative in `TrinoParser.principal`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitUserPrincipal?: (ctx: UserPrincipalContext) => Result;
    /**
     * Visit a parse tree produced by the `rolePrincipal`
     * labeled alternative in `TrinoParser.principal`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitRolePrincipal?: (ctx: RolePrincipalContext) => Result;
    /**
     * Visit a parse tree produced by `TrinoParser.roleIdentifierList`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitRoleIdentifierList?: (ctx: RoleIdentifierListContext) => Result;
    /**
     * Visit a parse tree produced by the `unquotedIdentifier`
     * labeled alternative in `TrinoParser.identifier`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitUnquotedIdentifier?: (ctx: UnquotedIdentifierContext) => Result;
    /**
     * Visit a parse tree produced by the `quotedIdentifier`
     * labeled alternative in `TrinoParser.identifier`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitQuotedIdentifier?: (ctx: QuotedIdentifierContext) => Result;
    /**
     * Visit a parse tree produced by the `backQuotedIdentifier`
     * labeled alternative in `TrinoParser.identifier`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitBackQuotedIdentifier?: (ctx: BackQuotedIdentifierContext) => Result;
    /**
     * Visit a parse tree produced by the `digitIdentifier`
     * labeled alternative in `TrinoParser.identifier`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitDigitIdentifier?: (ctx: DigitIdentifierContext) => Result;
    /**
     * Visit a parse tree produced by `TrinoParser.catalogIdentifier`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitCatalogIdentifier?: (ctx: CatalogIdentifierContext) => Result;
    /**
     * Visit a parse tree produced by `TrinoParser.schemaIdentifier`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSchemaIdentifier?: (ctx: SchemaIdentifierContext) => Result;
    /**
     * Visit a parse tree produced by `TrinoParser.tableReference`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitTableReference?: (ctx: TableReferenceContext) => Result;
    /**
     * Visit a parse tree produced by `TrinoParser.tableIdentifier`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitTableIdentifier?: (ctx: TableIdentifierContext) => Result;
    /**
     * Visit a parse tree produced by `TrinoParser.viewIdentifier`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitViewIdentifier?: (ctx: ViewIdentifierContext) => Result;
    /**
     * Visit a parse tree produced by `TrinoParser.columnIdentifier`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitColumnIdentifier?: (ctx: ColumnIdentifierContext) => Result;
    /**
     * Visit a parse tree produced by `TrinoParser.aliasIdentifier`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitAliasIdentifier?: (ctx: AliasIdentifierContext) => Result;
    /**
     * Visit a parse tree produced by `TrinoParser.newSchemaIdentifier`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitNewSchemaIdentifier?: (ctx: NewSchemaIdentifierContext) => Result;
    /**
     * Visit a parse tree produced by `TrinoParser.newTableIdentifier`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitNewTableIdentifier?: (ctx: NewTableIdentifierContext) => Result;
    /**
     * Visit a parse tree produced by `TrinoParser.newViewIdentifier`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitNewViewIdentifier?: (ctx: NewViewIdentifierContext) => Result;
    /**
     * Visit a parse tree produced by `TrinoParser.roleIdentifier`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitRoleIdentifier?: (ctx: RoleIdentifierContext) => Result;
    /**
     * Visit a parse tree produced by `TrinoParser.connectorIdentifier`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitConnectorIdentifier?: (ctx: ConnectorIdentifierContext) => Result;
    /**
     * Visit a parse tree produced by the `decimalLiteral`
     * labeled alternative in `TrinoParser.number`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitDecimalLiteral?: (ctx: DecimalLiteralContext) => Result;
    /**
     * Visit a parse tree produced by the `doubleLiteral`
     * labeled alternative in `TrinoParser.number`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitDoubleLiteral?: (ctx: DoubleLiteralContext) => Result;
    /**
     * Visit a parse tree produced by the `integerLiteral`
     * labeled alternative in `TrinoParser.number`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitIntegerLiteral?: (ctx: IntegerLiteralContext) => Result;
    /**
     * Visit a parse tree produced by the `identifierUser`
     * labeled alternative in `TrinoParser.authorizationUser`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitIdentifierUser?: (ctx: IdentifierUserContext) => Result;
    /**
     * Visit a parse tree produced by the `stringUser`
     * labeled alternative in `TrinoParser.authorizationUser`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitStringUser?: (ctx: StringUserContext) => Result;
    /**
     * Visit a parse tree produced by `TrinoParser.nonReserved`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitNonReserved?: (ctx: NonReservedContext) => Result;
}
